PMDAAPACHE(1)

NAME
pmdaapache - Apache2 web server performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/apache/pmdaapache [-d domain] [-l logfile] [-U username] [-S server] [-P port] [-L location]

DESCRIPTION
pmdaapache is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics describing the state of an Apache web server.

The apache PMDA exports metrics that measure the request rate, cumulative request sizes, uptime and various connection states for active clients.

This information is obtained by performing a HTTP request to the server status URL, which must be enabled in the httpd.conf configuration file.

ExtendedStatus on
<Location /server-status>
SetHandler server-status
Order deny,allow
Deny from all
Allow from localhost
</Location>

A brief description of the pmdaapache command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named apache.log is written in the current directory of pmcd(1) when pmdaapache is started, i.e. $PCP_LOG_DIR/pmcd . If the log file cannot be created or is not writable, output is written to the standard error instead.

-S  Query the Apache status information from the named server rather than the local host.

-P  Query the Apache status information from the given port rather than the default (80).

-L  Specify an alternative location for finding the server-status page.

-U  User account under which to run the agent. The default is the unprivileged "pcp" account in current versions of PCP, but in older versions the superuser account ("root") was used by default.

INSTALLATION
If you want access to the names, help text and values for the apache performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/apache
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/apache
# ./Remove

pmdaapache is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdaapache
$PCP_PMDAS_DIR/apache/help
    default help text file for the apache metrics
$PCP_PMDAS_DIR/apache/Install
    installation script for the pmdaapache agent
$PCP_PMDAS_DIR/apache/Remove
    undo installation script for the pmdaapache agent
$PCP_LOG_DIR/pmcd/apache.log
    default log file for error messages and other information from pmdaapache

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), httpd(8), pmcd(1), pcp.conf(5) and pcp.env(5).